Comment 26 for bug 545134

Confirm it happens for my desktop PC here in my work office which is behind a proxy which requires authentication.

Synaptic Package Manager works fine.

So --- this is the PERFECT reason *NOT* to 'upgrade' from 11.04 !

Because in post 15 https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/545134/comments/15 , Matthew Paul Thomas (mpt) wrote:

"The workaround for this bug has been to use Synaptic. But in Ubuntu 11.10, Synaptic will not be shipped by default."

WHO DECIDES THIS STUFF, ANYWAY?

Doesn't anybody do any QA?, where one of the tick-boxes should be "Will it work in the same environments as Synaptic Package manager?"

(This is really about LAZINESS, and being non-caring.)